Quantcast

[Qutecsound-users] build error (really!)

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Qutecsound-users] build error (really!)

joachim-3
hi all -

i want to build csoundqt on a fresh debian 8.1. i did:

sudo apt-get install qt5-qmake
sudo apt-get install qt5-default
qmake qcs.pro

and at the end of the last step, i get:
Project ERROR: Unknown module(s) in QT: quickwidgets

anyone knows what this means?  complete message is below — looks good
for me except the last line.

thanks -
        joachim


jh@debian8:~/src/csoundqt$ qmake qcs.pro
Project MESSAGE: Building for Csound 6
Project MESSAGE:
Project MESSAGE: Building CsoundQt for Unix-based system.
Project MESSAGE:
Project MESSAGE: Building CsoundQt for the double precision version of
Csound.
Project MESSAGE: Building release version.
Project MESSAGE:
Project MESSAGE: CONFIG ...
Project MESSAGE: + lex
Project MESSAGE: + yacc
Project MESSAGE: + debug
Project MESSAGE: + exceptions
Project MESSAGE: + depend_includepath
Project MESSAGE: + testcase_targets
Project MESSAGE: + import_plugins
Project MESSAGE: + import_qpa_plugin
Project MESSAGE: + qt
Project MESSAGE: + warn_on
Project MESSAGE: + release
Project MESSAGE: + link_prl
Project MESSAGE: + incremental
Project MESSAGE: + shared
Project MESSAGE: + qpa
Project MESSAGE: + no_mocdepend
Project MESSAGE: + release
Project MESSAGE: + qt_no_framework
Project MESSAGE: + linux
Project MESSAGE: + unix
Project MESSAGE: + posix
Project MESSAGE: + gcc
Project MESSAGE: + csound6
Project MESSAGE: + QCS_QT5
Project MESSAGE: + QCS_QT53
Project MESSAGE: + build64
Project MESSAGE: + thread
Project MESSAGE:
Project MESSAGE: Csound API include directory not specified.
Project MESSAGE: ... searching in /usr/local/include/csound
Project MESSAGE: CSOUND_API_INCLUDE_DIR set to /usr/local/include/csound
Project MESSAGE:
Project MESSAGE: Csound library directory not specified.
Project MESSAGE: ... searching in /usr/local/lib
Project MESSAGE: ... in /usr/local/lib for libcsound64.so libcsound64.a
Project MESSAGE: CSOUND_LIBRARY_DIR set to /usr/local/lib
Project MESSAGE:
Project MESSAGE: ... searching in /usr/lib
Project MESSAGE: ... in /usr/lib for libcsound64.so libcsound64.a
Project MESSAGE: Csound API include directory is /usr/local/include/csound
Project MESSAGE: Csound interfaces include directory is
Project MESSAGE: Csound library directory is /usr/local/lib
Project MESSAGE: Csound library is libcsound64.so libcsound64.a
Project MESSAGE:
Project MESSAGE: Removing CEF related files for non-html5 build.
Project MESSAGE: DEFINES are: NOMINMAX CSOUND6 USE_QT5 USE_QT_GT_53
Project MESSAGE: INCLUDEPATH is: /usr/local/include/csound
Project MESSAGE: LIBS are: -L/usr/local/lib -lcsound64 -lcsnd6
Project MESSAGE: TARGET is: CsoundQt-d-cs6
Project ERROR: Unknown module(s) in QT: quickwidgets

------------------------------------------------------------------------------
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] build error (really!)

Andres Cabrera
Administrator
Does it work if you do:

apt-get install qtbase5-dev qt5base-dev-tools

You seem to have an incomplete install of qt5.

Cheers,
Andrés

On Sat, Aug 15, 2015 at 3:22 PM, joachim heintz <[hidden email]> wrote:
hi all -

i want to build csoundqt on a fresh debian 8.1. i did:

sudo apt-get install qt5-qmake
sudo apt-get install qt5-default
qmake qcs.pro

and at the end of the last step, i get:
Project ERROR: Unknown module(s) in QT: quickwidgets

anyone knows what this means?  complete message is below — looks good
for me except the last line.

thanks -
        joachim


jh@debian8:~/src/csoundqt$ qmake qcs.pro
Project MESSAGE: Building for Csound 6
Project MESSAGE:
Project MESSAGE: Building CsoundQt for Unix-based system.
Project MESSAGE:
Project MESSAGE: Building CsoundQt for the double precision version of
Csound.
Project MESSAGE: Building release version.
Project MESSAGE:
Project MESSAGE: CONFIG ...
Project MESSAGE: + lex
Project MESSAGE: + yacc
Project MESSAGE: + debug
Project MESSAGE: + exceptions
Project MESSAGE: + depend_includepath
Project MESSAGE: + testcase_targets
Project MESSAGE: + import_plugins
Project MESSAGE: + import_qpa_plugin
Project MESSAGE: + qt
Project MESSAGE: + warn_on
Project MESSAGE: + release
Project MESSAGE: + link_prl
Project MESSAGE: + incremental
Project MESSAGE: + shared
Project MESSAGE: + qpa
Project MESSAGE: + no_mocdepend
Project MESSAGE: + release
Project MESSAGE: + qt_no_framework
Project MESSAGE: + linux
Project MESSAGE: + unix
Project MESSAGE: + posix
Project MESSAGE: + gcc
Project MESSAGE: + csound6
Project MESSAGE: + QCS_QT5
Project MESSAGE: + QCS_QT53
Project MESSAGE: + build64
Project MESSAGE: + thread
Project MESSAGE:
Project MESSAGE: Csound API include directory not specified.
Project MESSAGE: ... searching in /usr/local/include/csound
Project MESSAGE: CSOUND_API_INCLUDE_DIR set to /usr/local/include/csound
Project MESSAGE:
Project MESSAGE: Csound library directory not specified.
Project MESSAGE: ... searching in /usr/local/lib
Project MESSAGE: ... in /usr/local/lib for libcsound64.so libcsound64.a
Project MESSAGE: CSOUND_LIBRARY_DIR set to /usr/local/lib
Project MESSAGE:
Project MESSAGE: ... searching in /usr/lib
Project MESSAGE: ... in /usr/lib for libcsound64.so libcsound64.a
Project MESSAGE: Csound API include directory is /usr/local/include/csound
Project MESSAGE: Csound interfaces include directory is
Project MESSAGE: Csound library directory is /usr/local/lib
Project MESSAGE: Csound library is libcsound64.so libcsound64.a
Project MESSAGE:
Project MESSAGE: Removing CEF related files for non-html5 build.
Project MESSAGE: DEFINES are: NOMINMAX CSOUND6 USE_QT5 USE_QT_GT_53
Project MESSAGE: INCLUDEPATH is: /usr/local/include/csound
Project MESSAGE: LIBS are: -L/usr/local/lib -lcsound64 -lcsnd6
Project MESSAGE: TARGET is: CsoundQt-d-cs6
Project ERROR: Unknown module(s) in QT: quickwidgets

------------------------------------------------------------------------------
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------

_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] build error (really!)

joachim-3
thanks, but it looks like my install of qt5 is ok.  after sudo apt-get
update i see this:

jh@debian8:~$ sudo apt-get install qtbase5-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
qtbase5-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
jh@debian8:~$ sudo apt-get install qtbase5-dev-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
qtbase5-dev-tools is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.

i tried to checkout tag 0.9.0, but this made no difference.

any other idea?

best -
        joachim


Am 16.08.2015 um 18:49 schrieb Andres Cabrera:

> Does it work if you do:
>
> apt-get install qtbase5-dev qt5base-dev-tools
>
> You seem to have an incomplete install of qt5.
>
> Cheers,
> Andrés
>
> On Sat, Aug 15, 2015 at 3:22 PM, joachim heintz <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     hi all -
>
>     i want to build csoundqt on a fresh debian 8.1. i did:
>
>     sudo apt-get install qt5-qmake
>     sudo apt-get install qt5-default
>     qmake qcs.pro <http://qcs.pro>
>
>     and at the end of the last step, i get:
>     Project ERROR: Unknown module(s) in QT: quickwidgets
>
>     anyone knows what this means?  complete message is below — looks good
>     for me except the last line.
>
>     thanks -
>              joachim
>
>
>     jh@debian8:~/src/csoundqt$ qmake qcs.pro <http://qcs.pro>
>     Project MESSAGE: Building for Csound 6
>     Project MESSAGE:
>     Project MESSAGE: Building CsoundQt for Unix-based system.
>     Project MESSAGE:
>     Project MESSAGE: Building CsoundQt for the double precision version of
>     Csound.
>     Project MESSAGE: Building release version.
>     Project MESSAGE:
>     Project MESSAGE: CONFIG ...
>     Project MESSAGE: + lex
>     Project MESSAGE: + yacc
>     Project MESSAGE: + debug
>     Project MESSAGE: + exceptions
>     Project MESSAGE: + depend_includepath
>     Project MESSAGE: + testcase_targets
>     Project MESSAGE: + import_plugins
>     Project MESSAGE: + import_qpa_plugin
>     Project MESSAGE: + qt
>     Project MESSAGE: + warn_on
>     Project MESSAGE: + release
>     Project MESSAGE: + link_prl
>     Project MESSAGE: + incremental
>     Project MESSAGE: + shared
>     Project MESSAGE: + qpa
>     Project MESSAGE: + no_mocdepend
>     Project MESSAGE: + release
>     Project MESSAGE: + qt_no_framework
>     Project MESSAGE: + linux
>     Project MESSAGE: + unix
>     Project MESSAGE: + posix
>     Project MESSAGE: + gcc
>     Project MESSAGE: + csound6
>     Project MESSAGE: + QCS_QT5
>     Project MESSAGE: + QCS_QT53
>     Project MESSAGE: + build64
>     Project MESSAGE: + thread
>     Project MESSAGE:
>     Project MESSAGE: Csound API include directory not specified.
>     Project MESSAGE: ... searching in /usr/local/include/csound
>     Project MESSAGE: CSOUND_API_INCLUDE_DIR set to /usr/local/include/csound
>     Project MESSAGE:
>     Project MESSAGE: Csound library directory not specified.
>     Project MESSAGE: ... searching in /usr/local/lib
>     Project MESSAGE: ... in /usr/local/lib for libcsound64.so libcsound64.a
>     Project MESSAGE: CSOUND_LIBRARY_DIR set to /usr/local/lib
>     Project MESSAGE:
>     Project MESSAGE: ... searching in /usr/lib
>     Project MESSAGE: ... in /usr/lib for libcsound64.so libcsound64.a
>     Project MESSAGE: Csound API include directory is
>     /usr/local/include/csound
>     Project MESSAGE: Csound interfaces include directory is
>     Project MESSAGE: Csound library directory is /usr/local/lib
>     Project MESSAGE: Csound library is libcsound64.so libcsound64.a
>     Project MESSAGE:
>     Project MESSAGE: Removing CEF related files for non-html5 build.
>     Project MESSAGE: DEFINES are: NOMINMAX CSOUND6 USE_QT5 USE_QT_GT_53
>     Project MESSAGE: INCLUDEPATH is: /usr/local/include/csound
>     Project MESSAGE: LIBS are: -L/usr/local/lib -lcsound64 -lcsnd6
>     Project MESSAGE: TARGET is: CsoundQt-d-cs6
>     Project ERROR: Unknown module(s) in QT: quickwidgets
>
>     ------------------------------------------------------------------------------
>     _______________________________________________
>     Qutecsound-users mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>
>
>
>
> ------------------------------------------------------------------------------
>
>
>
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>

------------------------------------------------------------------------------
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] build error (really!)

Tarmo Johannes
In reply to this post by joachim-3
Hi,

it might need a separate package to be installed. I don't know how it is
organized in ubuntu, in openSuse

libQt5Widgets5 and libQt5Widgets-devel provide this module.
You cna check  if /usr/include/qt5/QtWidgets is intalled to be sure

Hope it helps!
Tarmo

P.S If you want to build also PythonQt5 and CsoundQt with python support, you
need almost all possible Qt5 modules. It is hard, but I got it done at last!
Lert me know if you are up to it!



On Saturday 15 August 2015 22:22:42 joachim heintz wrote:
> quickwidgets


------------------------------------------------------------------------------
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] build error (really!)

joachim-3
thanks, tarmo, this was a good tip.  i found a lot of additional qt5
libraries in the package manager.  installed everything what might be
related to the error, and now it has been built.

not yet tried pythonqt; but rtmidi works now, too.

best -
        joachim


Am 16.08.2015 um 22:38 schrieb Tarmo Johannes:

> Hi,
>
> it might need a separate package to be installed. I don't know how it is
> organized in ubuntu, in openSuse
>
> libQt5Widgets5 and libQt5Widgets-devel provide this module.
> You cna check  if /usr/include/qt5/QtWidgets is intalled to be sure
>
> Hope it helps!
> Tarmo
>
> P.S If you want to build also PythonQt5 and CsoundQt with python support, you
> need almost all possible Qt5 modules. It is hard, but I got it done at last!
> Lert me know if you are up to it!
>
>
>
> On Saturday 15 August 2015 22:22:42 joachim heintz wrote:
>> quickwidgets
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>

------------------------------------------------------------------------------
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Loading...